Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.spi.core.security
Interface HornetQSecurityManager

All Superinterfaces:
  org.hornetq.core.server.HornetQComponent

All Known Implementing Classes:
  HornetQSecurityManagerImpl, JAASSecurityManager

    public interface HornetQSecurityManager

extends org.hornetq.core.server.HornetQComponent

USe to validate whether a user has is valid to connect to the server and perform certain functions

Author:
  Andy Taylor

Method Summary
`void` | `addRole(String user, String role)` adds a new role for a user.
`void` | `addUser(String user, String password)` adds a new user
`void` | `removeRole(String user, String role)` removes a role from a user
`void` | `removeUser(String user)` removes a user and any roles they may have.
`void` | `setDefaultUser(String username)`
`boolean` | `validateUser(String user, String password)` is this a valid user.
`boolean` | `validateUserAndRole(String user, String password, Set<org.hornetq.core.security.Role> roles, org.hornetq.core.security.CheckType checkType)` is this a valid user and do they have the correct role

Methods inherited from interface org.hornetq.core.server.HornetQComponent
`isStarted, start, stop`

Method Detail

### validateUser

    boolean validateUser(String user,
                         String password)

  is this a valid user.

  Parameters:
    `user` - the user
    `password` - the users password
  Returns:
    true if a valid user

### validateUserAndRole

    boolean validateUserAndRole(String user,
                                String password,
                                Set<org.hornetq.core.security.Role> roles,
                                org.hornetq.core.security.CheckType checkType)

  is this a valid user and do they have the correct role

  Parameters:
    `user` - the user
    `password` - the users password
    `roles` - the roles the user has
    `checkType` - the type of check to perform
  Returns:
    true if the user is valid and they have the correct roles

### addUser

    void addUser(String user,
                 String password)

  adds a new user

  Parameters:
    `user` - the user to add
    `password` - theusers password

### removeUser

    void removeUser(String user)

  removes a user and any roles they may have.

  Parameters:
    `user` - the user to remove

### addRole

    void addRole(String user,
                 String role)

  adds a new role for a user.

  Parameters:
    `user` - the user
    `role` - the role to add

### removeRole

    void removeRole(String user,
                    String role)

  removes a role from a user

  Parameters:
    `user` - the user
    `role` - the role to remove

### setDefaultUser

    void setDefaultUser(String username)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.